%load no containment results
cd unknown_gam_1
load all_restults_testing_after_plots
cd ..

ModelDeathsPerturb=ModelDeaths;
ModelConsMonthlyPerturb=ModelConsMonthly;


%load containment results
cd unknown_gam_1_containment_data

load all_restults_testing_after_plots

cd ..


%total deaths
dt_totaldeaths = datetime('01/Mar/2020') : datetime('14/Nov/2020'); 
% Put data into timetable
tt = timetable(dt_totaldeaths',totaldeaths_daily,'VariableNames',{'TotalDeaths'});
% Calculate weekly total deaths
totaldeaths_weekly = retime(tt,'Weekly','lastvalue');


%dummy
dt_dummy = datetime('01/Jan/2020') : datetime('14/Nov/2020'); 
tt = timetable(dt_dummy',NaN*ones(numel(dt_dummy),1),'VariableNames',{'Dummy'});
dummy_weekly = retime(tt,'Weekly','mean');


%syncronize
sync_data_weekly=synchronize(totaldeaths_weekly,dummy_weekly);

dt_totaldeaths = datetime('01/Mar/2020') : datetime('14/Nov/2020'); 
% Put data into timetable
tt = timetable(dt_totaldeaths',totaldeaths_daily,'VariableNames',{'TotalDeaths'});
% Calculate weekly total deaths
totaldeaths_weekly = retime(tt,'Weekly','lastvalue');

%time shifter for model simulation data. Must be 0 or 4 for now 
shiftweeks=4; 

%model data
ModelDeaths=(Du+Dk)*100;
ModelCons=aggC;
ModelConsMonthly=100*(mean(reshape(ModelCons(1:400),4,100))'-ModelCons(1))/(ModelCons(1));

if shiftweeks>0
    ModelDeaths=[NaN*ones(shiftweeks,1);ModelDeaths(1:end-shiftweeks)];
    ModelConsMonthly=[NaN*ones(shiftweeks/4,1);ModelConsMonthly(1:end-shiftweeks/4)];
end





figure;
sub1=subplot(2,1,1);
plot(sync_data_weekly.Time,100*sync_data_weekly{:,1}/pop1,'k-','LineWidth',2),hold on
plot(sync_data_weekly.Time,ModelDeaths(1:numel(sync_data_weekly.Time)),'m--','LineWidth',2),hold on
plot(sync_data_weekly.Time,ModelDeathsPerturb(1:numel(sync_data_weekly.Time)),'r-.','LineWidth',2),hold on
xlim([dt_dummy(1) dt_dummy(end)])
xtickformat('MMM')
xticks(dt_dummy(1) : calmonths(1) : dt_dummy(end))
box off;
title('Total Deaths (Weekly)');
ylabel('% of Initial Population');
set(gca,'FontSize',12);
legend('Data (Total Deaths/(Pop>16))','Baseline Model','Model without Containment','Location','Northwest');
legend boxoff;
axis tight


sub2=subplot(2,1,2);
plot([1+shiftweeks/4:11],100*(cons_monthly(1+shiftweeks/4:11)-cons_monthly(1))/cons_monthly(1),'k-','LineWidth',2),hold on
plot([1+shiftweeks/4:11],ModelConsMonthly(1+shiftweeks/4:11),'m--','LineWidth',2),hold on
plot([1+shiftweeks/4:11],ModelConsMonthlyPerturb(1+shiftweeks/4:11),'r-.','LineWidth',2),hold on
plot([1+shiftweeks/4:11],0*ModelConsMonthly(1+shiftweeks/4:11),'b:','LineWidth',1),hold on
xticks([1+shiftweeks/4:11])
if shiftweeks==4
    xticklabels({'Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov \newline 2020'})
elseif shiftweeks==0
    xticklabels({'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov \newline 2020'})
else
    error('shiftweek > 4 not implemented yet')
end
box off;
title('Consumption (Monthly)');
ylabel('% Dev. from Jan 2020');
set(gca,'FontSize',12);
legend('Data (Real Personal Consumption Expenditures)','Baseline Model','Model without Containment','Location','Southeast');
legend boxoff;
axis tight


 

suptitle('Figure 1: Data versus Model');


orient landscape

print -dpdf -fillpage epi_sim_fig1


 