cd testing_quarantines_sensitivity

load all_results_sensitivity_gam_alfa

cd ..


[xx,alfidxbase]=min(abs(alfa_vec-0.00));

aggcons_trough_base=aggcons_trough(:,alfidxbase);
cum_cons_base=cum_cons(:,alfidxbase);
D_terminal_base=D_terminal(:,alfidxbase);
peakI_vec_base=peakI_vec(:,alfidxbase);
masku_peak_vec_base=  masku_peak_vec(:,alfidxbase);
time_to_half_of_terminal_deaths_base=time_to_half_of_terminal_deaths(:,alfidxbase);


[xx,alfidxperturb]=min(abs(alfa_vec-0.0025));

aggcons_trough_perturb=aggcons_trough(:,alfidxperturb);
cum_cons_perturb=cum_cons(:,alfidxperturb);
D_terminal_perturb=D_terminal(:,alfidxperturb);
peakI_vec_perturb=peakI_vec(:,alfidxperturb);
masku_peak_vec_perturb=  masku_peak_vec(:,alfidxperturb);
time_to_half_of_terminal_deaths_perturb=time_to_half_of_terminal_deaths(:,alfidxperturb);


[xx,alfidxperturb2]=min(abs(alfa_vec-0.005));

aggcons_trough_perturb2=aggcons_trough(:,alfidxperturb2);
D_terminal_perturb2=D_terminal(:,alfidxperturb2);
cum_cons_perturb2=cum_cons(:,alfidxperturb2);
peakI_vec_perturb2=peakI_vec(:,alfidxperturb2);
masku_peak_vec_perturb2=  masku_peak_vec(:,alfidxperturb2);
time_to_half_of_terminal_deaths_perturb2=time_to_half_of_terminal_deaths(:,alfidxperturb2);



[xx,alfidxperturb3]=min(abs(alfa_vec-0.02));

aggcons_trough_perturb3=aggcons_trough(:,alfidxperturb3);
D_terminal_perturb3=D_terminal(:,alfidxperturb3);
cum_cons_perturb3=cum_cons(:,alfidxperturb3);
peakI_vec_perturb3=peakI_vec(:,alfidxperturb3);
masku_peak_vec_perturb3=  masku_peak_vec(:,alfidxperturb3);
time_to_half_of_terminal_deaths_perturb3=time_to_half_of_terminal_deaths(:,alfidxperturb3);




fsize=12;

[a,b]=min(abs(gam_vec-1));
 
figure;
 
subplot(1,2,2)
plot(gam_vec,cum_cons_base,'b-','LineWidth',2); hold on;
plot(gam_vec,cum_cons_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,cum_cons_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec,cum_cons_perturb3,'g:','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_perturb2(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_perturb3(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
ylabel('%','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Cumulative Consumption Drop','FontSize',fsize+1);
box off;
axis tight




subplot(1,2,1)
plot(gam_vec,D_terminal_base,'b-','LineWidth',2); hold on;
plot(gam_vec,D_terminal_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,D_terminal_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec,D_terminal_perturb3,'g:','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_perturb2(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_perturb3(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
box off;
ylabel('% of Initial Population','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Terminal Deaths','FontSize',fsize+1);
axis tight
 

leg1=legend('Testing Intensity \alpha=0','Testing Intensity \alpha=0.0025','Testing Intensity \alpha=0.005','Testing Intensity \alpha=0.02');
set(leg1,...
    'Position',[-0.0704335567178815 0.894078940309976 1.19107142857143 0.044047619047619],...
    'Orientation','horizontal');
legend boxoff;


suptitle3('Figure 3: Effects of NPI, Testing and Quarantining');

orient landscape

print -dpdf -fillpage epi_sim_fig3
