%unknown types 
cd unknown_gam_1;
load all_results_testing;
cd ..

Ibase=Iu+Ik;
Sbase=Su+Sk;
Rbase=Ru+Rk;
Dbase=Du+Dk;
aggCbase=aggC;
aggHbase=aggN;
 

%Perturbation 1
%smart containment and testing
cd testing_quarantines;
load all_results_testing;
cd ..

Iperturb1=Ik+Iu;
Sperturb1=Sk+Su;
Rperturb1=Rk+Ru;
Dperturb1=Dk+Du;
aggCperturb1=aggC;
aggHperturb1=aggN;


%Perturbation 2
cd testing_quarantines;
load all_results_testing;
cd ..
Iperturb2=Ik*NaN;
Sperturb2=Sk*NaN;
Rperturb2=Rk*NaN;
Dperturb2=Dk*NaN;
aggCperturb2=aggC*NaN;
aggHperturb2=aggN*NaN;


%plotting
ia=2;
ib=3;
fsize=12;
horz=HH;
horz=150;

time=0:1:horz-1;

figure;
subplot(ia,ib,2)
plot(time,100*Sbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Sperturb1(1:horz),'r--','LineWidth',2);hold on
plot(time,100*Sperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Susceptibles, S','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,3)
plot(time,100*Rbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Rperturb1(1:horz),'r--','LineWidth',2);hold on
plot(time,100*Rperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Recovered, R','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,4)
plot(time,100*Dbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Dperturb1(1:horz),'r--','LineWidth',2);hold on
plot(time,100*Dperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Deaths, D','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,5)
plot(time,0*100*(aggCbase(1:horz)-inc_target)/inc_target,'m:','LineWidth',1.5);hold on
plot(time,100*(aggCbase(1:horz)-inc_target)/inc_target,'b-','LineWidth',2);hold on
plot(time,100*(aggCperturb1(1:horz)-inc_target)/inc_target,'r--','LineWidth',2);hold on
plot(time,100*(aggCperturb2(1:horz)-inc_target)/inc_target,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Consumption, C','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,6)
plot(time,0*100*(aggCbase(1:horz)-inc_target)/inc_target,'m:','LineWidth',1.5);hold on
plot(time,100*(aggHbase(1:horz)-n_target)/n_target,'b-','LineWidth',2);hold on
plot(time,100*(aggHperturb1(1:horz)-n_target)/n_target,'r--','LineWidth',2);hold on
plot(time,100*(aggHperturb2(1:horz)-n_target)/n_target,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Hours, N','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,1)
plot(time,100*Ibase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Iperturb1(1:horz),'r--','LineWidth',2);hold on
plot(time,100*Iperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Infected, I','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);


leg1=legend('Model with Unknown Health Status','Model with Testing and Quarantines');
set(leg1,...
    'Position',[-0.0704335567178815 0.894078940309976 1.19107142857143 0.044047619047619],...
    'Orientation','horizontal');
legend boxoff;

suptitle2('Figure 4: Model with Testing and Quarantines');
orient landscape
print -dpdf -fillpage epi_sim_fig4


 
