%go for final parameters
M_.params(strmatch('pi1',M_.param_names,'exact'))=pi1_final;
M_.params(strmatch('pi2',M_.param_names,'exact'))=pi2_final;
M_.params(strmatch('pi3',M_.param_names,'exact'))=pi3_final;
M_.params(strmatch('pis',M_.param_names,'exact'))=pis_final;

%initialize
aggcons_trough=[];
D_terminal=[];
pid_endo_vec=[];
peakI_vec=[];
Uu_vec=[];
masku_peak_vec=[];
time_to_half_of_terminal_deaths=[];

%load baseline simulation as initial guess
load oo_endo_simul_old;
oo_.endo_simul=oo_endo_simul;

%iterate over different alfas
rows=0;
gam_vec=sort([0.3:0.25/3:3,1]);
alfa_vec=sort([0,0.0001:0.001:0.12/4,0.12/4,0.005,0.02]);
%alfa_vec=[0.005 0.02];
for gam_val=gam_vec %rows
    rows=rows+1;
    cols=0;
    M_.params(strmatch('gam',M_.param_names,'exact'))=gam_val;
    oo_.endo_simul=oo_endo_simul;
    for alfa_val=alfa_vec %columns
        cols=cols+1;
        M_.params(strmatch('alfa',M_.param_names,'exact'))=alfa_val;
        [oo_.endo_simul, info] = sim1(oo_.endo_simul, oo_.exo_simul, oo_.steady_state, M_, options_); %simulate using previous solution as initial guess
        dyn2vec(M_, oo_, options_);   %convert simulation results to model variable names defined above
        
        if info.status==1
            aggcons_trough(rows,cols)=[100*(min(aggC)-inc_target)/inc_target];
            %aggcons_trough(rows,cols)=mean([100*((aggC(2:53))-inc_target)/inc_target]);
            %cum_cons(rows,cols)=sum([100*((aggC(2:52*5+1))-inc_target)/inc_target]);
            cum_cons(rows,cols)=sum([100*((aggC(2:end-1))-inc_target)/inc_target]);
            D_terminal(rows,cols)=[100*(Du(end-1)+Dk(end-1))];
            masku_peak_vec(rows,cols)=[max(masku(2:end-1))];
            [tt]=min(find((Du+Dk)>(Du(end-1)+Dk(end-1))/2));
            time_to_half_of_terminal_deaths(rows,cols)=[tt];
            peakI_vec(rows,cols)=[100*max(Ik+Iu)];
        else
            aggcons_trough(rows,cols)=[NaN];
            cum_cons(rows,cols)=[NaN];
            D_terminal(rows,cols)=[NaN];
            masku_peak_vec(rows,cols)=[NaN];
            time_to_half_of_terminal_deaths(rows,cols)=[NaN]; 
            peakI_vec(rows,cols)=[NaN];
            oo_.endo_simul=oo_endo_simul;
        end
    end
end

save all_results_sensitivity_gam_alfa


[xx,alfidxbase]=min(abs(alfa_vec-0.00));

aggcons_trough_base=aggcons_trough(:,alfidxbase);
cum_cons_base=cum_cons(:,alfidxbase);
D_terminal_base=D_terminal(:,alfidxbase);
peakI_vec_base=peakI_vec(:,alfidxbase);
masku_peak_vec_base=  masku_peak_vec(:,alfidxbase);
time_to_half_of_terminal_deaths_base=time_to_half_of_terminal_deaths(:,alfidxbase);


[xx,alfidxperturb]=min(abs(alfa_vec-0.005));

aggcons_trough_perturb=aggcons_trough(:,alfidxperturb);
cum_cons_perturb=cum_cons(:,alfidxperturb);
D_terminal_perturb=D_terminal(:,alfidxperturb);
peakI_vec_perturb=peakI_vec(:,alfidxperturb);
masku_peak_vec_perturb=  masku_peak_vec(:,alfidxperturb);
time_to_half_of_terminal_deaths_perturb=time_to_half_of_terminal_deaths(:,alfidxperturb);


[xx,alfidxperturb2]=min(abs(alfa_vec-0.02/8));

aggcons_trough_perturb2=aggcons_trough(:,alfidxperturb2);
D_terminal_perturb2=D_terminal(:,alfidxperturb2);
cum_cons_perturb2=cum_cons(:,alfidxperturb2);
peakI_vec_perturb2=peakI_vec(:,alfidxperturb2);
masku_peak_vec_perturb2=  masku_peak_vec(:,alfidxperturb2);
time_to_half_of_terminal_deaths_perturb2=time_to_half_of_terminal_deaths(:,alfidxperturb2);





fsize=12;

[a,b]=min(abs(gam_vec-1));
 
figure;
subplot(2,3,1)
plot(gam_vec,aggcons_trough_base,'b-','LineWidth',2); hold on;
plot(gam_vec,aggcons_trough_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,aggcons_trough_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),aggcons_trough_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),aggcons_trough_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),aggcons_trough_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
ylabel('% Dev. From Initial Steady State','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Consumption Trough','FontSize',fsize+1);
box off;



subplot(2,3,2)
plot(gam_vec,cum_cons_base,'b-','LineWidth',2); hold on;
plot(gam_vec,cum_cons_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,cum_cons_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),cum_cons_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
ylabel('%','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Cumulative Consumption Drop','FontSize',fsize+1);
box off;





subplot(2,3,3)
plot(gam_vec,D_terminal_base,'b-','LineWidth',2); hold on;
plot(gam_vec,D_terminal_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,D_terminal_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),D_terminal_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
box off;
ylabel('% of Initial Population','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Terminal Deaths','FontSize',fsize+1);

subplot(2,3,5)
plot(gam_vec,peakI_vec_base,'b-','LineWidth',2); hold on;
plot(gam_vec,peakI_vec_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,peakI_vec_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),peakI_vec_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),peakI_vec_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),peakI_vec_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
box off;
ylabel('% of Initial Population','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Peak Infections','FontSize',fsize+1);


subplot(2,3,6)
plot(gam_vec,masku_peak_vec_base,'b-','LineWidth',2); hold on;
plot(gam_vec,masku_peak_vec_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,masku_peak_vec_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),masku_peak_vec_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),masku_peak_vec_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),masku_peak_vec_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
box off;
ylabel('%','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Peak NPI','FontSize',fsize+1);


subplot(2,3,4)
plot(gam_vec,time_to_half_of_terminal_deaths_base,'b-','LineWidth',2); hold on;
plot(gam_vec,time_to_half_of_terminal_deaths_perturb,'k--','LineWidth',2); hold on;
plot(gam_vec,time_to_half_of_terminal_deaths_perturb2,'m-.','LineWidth',2); hold on;
plot(gam_vec(b),time_to_half_of_terminal_deaths_base(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),time_to_half_of_terminal_deaths_perturb(b),'r*','LineWidth',2); hold on;
plot(gam_vec(b),time_to_half_of_terminal_deaths_perturb2(b),'r*','LineWidth',2); hold on;
%plot(gam_vec,0*aggcons_trough_base,'r:','LineWidth',1); hold off;
set(gca,'FontSize',fsize);
box off;
ylabel('Weeks','FontSize',fsize);
xlabel('NPI Disutility Parameter, \gamma','FontSize',fsize);
title('Weeks Until Half of Terminal Deaths','FontSize',fsize+1);


leg1=legend('Testing Intensity \alpha=0','Testing Intensity \alpha=0.005','Testing Intensity \alpha=0.0025');
set(leg1,...
    'Position',[-0.0704335567178815 0.894078940309976 1.19107142857143 0.044047619047619],...
    'Orientation','horizontal');
legend boxoff;


suptitle3('Figure XX: Effects of NPI, Testing and Smart Containment (Starting in Week 1)');

orient landscape

print -dpdf -fillpage NPI_Testing_Containment_StartingWeek1







 



